apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: homarr
  namespace: dashboard
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
spec:
  ingressClassName: nginx
  tls:
  - hosts:
    - homarr.riotpiao.com
    secretName: homarr-tls
  rules:
  - host: homarr.riotpiao.com
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: homarr
            port:
              number: 3000
